Subject: bug#25457: closed (Re: bug#25457: assword: gui: Namespace Gtk not available)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Jan 2017 04:38:02 +0000

Your bug report

#25457: assword: gui: Namespace Gtk not available

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25457: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25457
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25457: assword: gui: Namespace Gtk not available
From: [email-masked] (宋文武)
To: Ivan Vilata i Balaguer <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Jan 2017 12:36:57 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Ivan Vilata i Balaguer <[email-masked]> writes:

> Hi, when running ``assword gui`` from Assword 0.10 I get the following error:
>
> ```
> Traceback (most recent call last):
>   File "/gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10/bin/.assword-real", line 9, in <module>
>     load_entry_point('assword==0.10', 'console_scripts', 'assword')()
>   File "/gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10/lib/python3.5/site-packages/assword/__main__.py", line 553, in main
>     func(args)
>   File "/gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10/lib/python3.5/site-packages/assword/__main__.py", line 327, in gui
>     from assword.gui import Gui
>   File "/gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10/lib/python3.5/site-packages/assword/gui.py", line 2, in <module>
>     gi.require_version('Gtk', '3.0')
>   File "/gnu/store/hii5dmg5qyawx6a883203dcxhbagmgrd-python-pygobject-3.20.0/lib/python3.5/site-packages/gi/__init__.py", line 102, in require_version
>     raise ValueError('Namespace %s not available' % namespace)
> ValueError: Namespace Gtk not available
> ```
>
> Other commands not using the GUI work ok.  The error does not show with Assword 0.8.
>
> ```
> $ guix package -I | grep assword
> assword 0.10    out     /gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10
> ```
>
> Thank you!

Fixed in commit 0050876bcf, thank you!

Subject: assword: gui: Namespace Gtk not available
From: Ivan Vilata i Balaguer <[email-masked]>
To: Bug reports for GNU Guix <[email-masked]>
Date: Mon, 16 Jan 2017 14:46:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, when running ``assword gui`` from Assword 0.10 I get the following error:

```
Traceback (most recent call last):
  File "/gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10/bin/.assword-real", line 9, in <module>
    load_entry_point('assword==0.10', 'console_scripts', 'assword')()
  File "/gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10/lib/python3.5/site-packages/assword/__main__.py", line 553, in main
    func(args)
  File "/gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10/lib/python3.5/site-packages/assword/__main__.py", line 327, in gui
    from assword.gui import Gui
  File "/gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10/lib/python3.5/site-packages/assword/gui.py", line 2, in <module>
    gi.require_version('Gtk', '3.0')
  File "/gnu/store/hii5dmg5qyawx6a883203dcxhbagmgrd-python-pygobject-3.20.0/lib/python3.5/site-packages/gi/__init__.py", line 102, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Gtk not available
```

Other commands not using the GUI work ok.  The error does not show with Assword 0.8.

```
$ guix package -I | grep assword
assword 0.10    out     /gnu/store/wicbdk90fihvvc2zvbvn1wc7jfv8ypbi-assword-0.10
```

Thank you!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/